[arch-commits] CVS update of extra/xfce4/xfce4-sensors-plugin (PKGBUILD)

andyrtr at archlinux.org andyrtr at archlinux.org
Tue Nov 27 14:02:38 EST 2007


    Date: Tuesday, November 27, 2007 @ 14:02:38
  Author: andyrtr
    Path: /home/cvs-extra/extra/xfce4/xfce4-sensors-plugin

Modified: PKGBUILD (1.14 -> 1.15)

upgpkg: xfce4-sensors-plugin 0.10.99.2-1


----------+
 PKGBUILD |   18 ++++++++++--------
 1 file changed, 10 insertions(+), 8 deletions(-)


Index: extra/xfce4/xfce4-sensors-plugin/PKGBUILD
diff -u extra/xfce4/xfce4-sensors-plugin/PKGBUILD:1.14 extra/xfce4/xfce4-sensors-plugin/PKGBUILD:1.15
--- extra/xfce4/xfce4-sensors-plugin/PKGBUILD:1.14	Fri Oct 26 19:29:09 2007
+++ extra/xfce4/xfce4-sensors-plugin/PKGBUILD	Tue Nov 27 14:02:38 2007
@@ -1,24 +1,26 @@
-# $Id: PKGBUILD,v 1.14 2007/10/26 23:29:09 tobias Exp $
+# $Id: PKGBUILD,v 1.15 2007/11/27 19:02:38 andyrtr Exp $
 # Maintainer: aurelien <aurelien at archlinux.org>
 # Contributor: Merk Matthias <macem at chello.at>
 pkgname=xfce4-sensors-plugin
-_srcver=0.10.99-1
-pkgver=$(echo ${_srcver} | sed 's|-|.|')
+pkgver=0.10.99.2
 pkgrel=1
 pkgdesc="A lm_sensors plugin for the Xfce panel"
 arch=(i686 x86_64)
-license=(GPL2)
+license=('GPL')
 url="http://xfce-goodies.berlios.de/"
 groups=('xfce4-goodies')
-depends=('xfce4-panel>=4.4.1' 'lm_sensors')
+depends=('xfce4-panel>=4.4.1' "lm_sensors>=3.0.0")
 makedepends=('pkgconfig')
 options=(!libtool)
 install=${pkgname}.install
-source=(http://goodies.xfce.org/releases/${pkgname}/${pkgname}-${_srcver}.tar.bz2)
-md5sums=('d7642d1c320f5dde002ab0b9501b4a5f')
+source=(http://goodies.xfce.org/releases/${pkgname}/${pkgname}-${pkgver}.tar.bz2
+	http://people.atrpms.net/~hdegoede/xfce4-sensors-plugin-0.10.99.2-lm_sensors3x.patch)
+md5sums=('5646407da37c6be63476b63347d0870b'
+         '9ae4ba1367bdb84b05717ffe81c153bf')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${_srcver}
+  cd ${startdir}/src/${pkgname}-${pkgver}
+  patch -Np1 -i ../xfce4-sensors-plugin-0.10.99.2-lm_sensors3x.patch || return 1
   ./configure --prefix=/usr --sysconfdir=/etc --libexecdir=/usr/lib/xfce4 \
     --localstatedir=/var --disable-static
   make || return 1




More information about the arch-commits mailing list